Debian Bug report logs - #497471
sarge images have syslinux binaries without source

Package: cdimage.debian.org; Maintainer for cdimage.debian.org is Debian CD-ROM Team <debian-cd@lists.debian.org>;

Reported by: Daniel Baumann <mail@daniel-baumann.ch>

Date: Mon, 1 Sep 2008 22:30:01 UTC

Severity: serious

Tags: sarge, squeeze-ignore, wheezy-ignore

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: sarge images have syslinux binaries without source
Date: Tue, 02 Sep 2008 00:29:05 +0200
Package: cdimage.debian.org
Severity: serious

Hi,

debian-cd does embededd a copy of the syslinux binary (see #497270).

because the embedded copy wasn't synced with the archive at the time
when sarge was released, sarge images are shipping a binary without
having a source (in the dedicated source images).

sarge is using syslinux 2.04, a version which is not even available
anymore on ftp.debian.org.

syslinux is licensed under GPL-2+, which means you either need to ship
both binaries and sources at the same time, or with the note on how to
get the source etc. pp.

please uploade the debian sources of syslinux 2.04-1 (e.g. from morgue
on merkel).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/





Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Wed, 03 Dec 2008 20:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Wed, 03 Dec 2008 20:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 497471@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 497471@bugs.debian.org
Subject: Re: sarge images have syslinux binaries without source
Date: Wed, 03 Dec 2008 20:59:42 +0100
Hi,

any progress on this?

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Sun, 14 Dec 2008 08:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 14 Dec 2008 08:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 497471@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: 497471@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Cc: Daniel Baumann <daniel@debian.org>
Subject: request for "lenny-ignore" tag for #497471
Date: Sun, 14 Dec 2008 10:34:17 +0200
[Message part 1 (text/plain, inline)]
Hello release managers.

Please take a look on bug #497471. This bug is related to sarge images on
cdimage.debian.org, and I believe it is not blocker for Lenny.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
Ukrainian C++ developer, Debian APT contributor

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Sun, 14 Dec 2008 08:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 14 Dec 2008 08:48:06 GMT) Full text and rfc822 format available.

Message #20 received at 497471@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
Cc: 497471@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Subject: Re: request for "lenny-ignore" tag for #497471
Date: Sun, 14 Dec 2008 09:46:39 +0100
Eugene V. Lyubimkin wrote:
> Please take a look on bug #497471. This bug is related to sarge images on
> cdimage.debian.org, and I believe it is not blocker for Lenny.

first of all, there's no point for a lenny-ignore tag as the bug only
affects sarge images. lenny-ignore tags are only used for bugs that are
present in lenny.

second, serious bugs against cdimage.d.o do *per se* not block a release
anyway.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Sun, 14 Dec 2008 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 14 Dec 2008 09:03:05 GMT) Full text and rfc822 format available.

Message #25 received at 497471@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: daniel@debian.org
Cc: 497471@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Subject: Re: request for "lenny-ignore" tag for #497471
Date: Sun, 14 Dec 2008 10:55:31 +0200
[Message part 1 (text/plain, inline)]
Daniel Baumann wrote:
> second, serious bugs against cdimage.d.o do *per se* not block a release
> anyway.
At least, our official page [1] thinks different.

[1] http://bugs.debian.org/release-critical/other/testing.html

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
Ukrainian C++ developer, Debian APT contributor

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Sun, 14 Dec 2008 09:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sun, 14 Dec 2008 09:03:09 GMT) Full text and rfc822 format available.

Message #30 received at 497471@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
Cc: 497471@bugs.debian.org, Debian Release <debian-release@lists.debian.org>
Subject: Re: request for "lenny-ignore" tag for #497471
Date: Sun, 14 Dec 2008 10:01:33 +0100
Eugene V. Lyubimkin wrote:
> At least, our official page [1] thinks different.

because it doesn't distinguish between package related bugs and
infrastructure related bugs, that's left up to the attentive reader.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: sarge Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Sun, 14 Dec 2008 10:30:02 GMT) Full text and rfc822 format available.

Tags added: sarge Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sun, 14 Dec 2008 14:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Sat, 13 Nov 2010 05:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Chatelet <tchatelet@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Sat, 13 Nov 2010 05:24:03 GMT) Full text and rfc822 format available.

Message #39 received at 497471@bugs.debian.org (full text, mbox):

From: Thierry Chatelet <tchatelet@free.fr>
To: 497471@bugs.debian.org
Subject: request for "removal" tag for #497471
Date: Sat, 13 Nov 2010 06:20:25 +0100
Hi,
Is this bug still alive?




Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 13:54:07 GMT) Full text and rfc822 format available.

Reply sent to Colin Tuckley <colin@tuckley.org>:
You have taken responsibility. (Thu, 05 Jul 2012 17:33:09 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Thu, 05 Jul 2012 17:33:09 GMT) Full text and rfc822 format available.

Message #46 received at 497471-done@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colin@tuckley.org>
To: 497471-done@bugs.debian.org
Subject: Re: sarge images have syslinux binaries without source
Date: Thu, 05 Jul 2012 17:49:02 +0100
Closing since Sarge has been out of support for a long time.

-- 
Colin Tuckley      |  +44(0)1223 830814  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Take my advice, I don't use it anyway.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Thu, 05 Jul 2012 19:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Tuckley <colint@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Thu, 05 Jul 2012 19:51:09 GMT) Full text and rfc822 format available.

Message #51 received at 497471@bugs.debian.org (full text, mbox):

From: Colin Tuckley <colint@debian.org>
To: 497471@bugs.debian.org
Subject: sarge images have syslinux binaries without source
Date: Thu, 05 Jul 2012 20:15:16 +0100
Looking further into this, the missing source package appears to be
syslinux 2.04-1

Unfortunately this doesn't appear in:

http://snapshot.debian.org/package/syslinux/

Daniel, do you have any ideas where else we might find the missing
source package?

Colin

-- 
Colin Tuckley      |  +44(0)1223 830814  |  PGP/GnuPG Key Id
Debian Developer   |  +44(0)7799 143369  |     0x1B3045CE

Experience is a good teacher but her fees are high...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Mon, 09 Jul 2012 00:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Mon, 09 Jul 2012 00:51:07 GMT) Full text and rfc822 format available.

Message #56 received at 497471@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Colin Tuckley <colint@debian.org>
Cc: 497471@bugs.debian.org
Subject: Re: sarge images have syslinux binaries without source
Date: Mon, 09 Jul 2012 02:47:52 +0200
reopen 497471
thanks

first, please do cc bug submitters if you care for an answer, the bts
does not notify submitters when you write to a bug.

second, reopening the bug: it doesn't matter if debian supports sarge or
not; the images with missing sources are still distributed from
cdimage.debian.org.

and finally, i'm afraid i do not have any copy of 2.04 of syslinux.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reopened Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 09 Jul 2012 00:51:09 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 22 Mar 2013 12:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Mon, 08 Apr 2013 23:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Mon, 08 Apr 2013 23:27:05 GMT) Full text and rfc822 format available.

Message #65 received at 497471@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 507706@bugs.debian.org, 497471@bugs.debian.org
Subject: no longer on cdimages.debian.org
Date: Mon, 8 Apr 2013 19:23:39 -0400
Releases older than squeeze are no longer on cdimage.debian.org.

Best wishes,
Mike



Marked Bug as done Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Wed, 10 Apr 2013 17:33:10 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Wed, 10 Apr 2013 17:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CD-ROM Team <debian-cd@lists.debian.org>:
Bug#497471; Package cdimage.debian.org. (Fri, 12 Apr 2013 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian CD-ROM Team <debian-cd@lists.debian.org>. (Fri, 12 Apr 2013 12:42:04 GMT) Full text and rfc822 format available.

Message #74 received at 497471@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 497471@bugs.debian.org
Subject: Re: sarge images have syslinux binaries without source
Date: Fri, 12 Apr 2013 14:39:35 +0200
reopen 497471
thanks

http://cdimage.debian.org/cdimage/archive/3.1_r0/i386/iso-cd/debian-31r0-i386-netinst.iso
[...]

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug reopened Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 12 Apr 2013 12:42:06 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Daniel Baumann <mail@daniel-baumann.ch>' from 'daniel@debian.org' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Jun 2013 13:00:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:28:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.